Support » Plugin: ReCaptcha v2 for Contact Form 7 » ReCAPTCHA not working

  • Resolved nkurish

    (@nkurish)


    Hello!

    I’ve followed these steps from the FAQ’s:

    I’ve added the Version 2 keys but nothing has changed
    If you have added the Version 2 keys and you still do not see the reCaptcha show up on your forms please check the following:

    In WordPress admin, under Contact -> reCaptcha Version please ensure that you have “reCaptcha Version 2” selected and saved.
    On your contact forms please ensure that you have the [recaptcha] tag somewhere in the form.
    Should the above be correct, at this point it’s time to open a support thread for us to look into the issue further.

    My reCAPTCHA is still not working. I have both http://www.longsmowingservices.com and longsmowingservices.com registered as domains for the v2 key.

    I see some code when I inspect, but I don’t see anything on the front end.

    Thanks!

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author IQComputing

    (@iqcomputing)

    Hello,

    Looking at the source of your website it appears that the reCaptcha is attempting to load Version 3. Please ensure under Contact > ReCaptcha Version that you have the reCaptcha Version 2 selected:

    https://ps.w.org/wpcf7-recaptcha/assets/screenshot-1.jpg

    If you have any other plugins that may manipulate reCaptcha ( security plugins ) maybe try disabling them to check if there’s a conflict. You can also install the WordPress Health Check & Troubleshooting plugin to start safely disabling plugins and revert to a default theme. This is also helpful in looking for conflicts or issues in a theme or plugin. For more information please review Troubleshooting A Specific Plugin.

    Hopefully setting the reCaptcha version solves your issue but if you’ve set that and continue to have issues please reply back to this thread and we can investigate further.

    I’m experiencing the same issue. The “ReCaptcha Version” is set to “reCaptcha Version 2”; but nevertheless, the API request URL still includes “ver=3.0” and render=<site key>. The request to https://www.google.com/recaptcha/api.js is returning a 400 response, presumably because it’s including render=<site key> rather than render=explicit.

    I have Contact Form 7 v5.1.8 and Recaptcha v2 for Contact Form 7 v1.2.6.

    Plugin Author IQComputing

    (@iqcomputing)

    Hello @cdetar

    It might be more beneficial to create a new topic so we can discuss any and all debugging options. Linking to your website will help us visualize the issue you’re running into. It might also be beneficial to install and run the WordPress Health Check & Troubleshooting Plugin to disable and unnecessary plugins and themes.

    @iqcomputing Contact Form 7 v5.0 has code:

    if ( ! wp_script_is( 'google-recaptcha', 'registered' ) ) {
    	wpcf7_recaptcha_enqueue_scripts();
    }

    But in Contact Form 7 v5.1 this check is removed. Some in some cases ‘google-recaptcha’ is already registered before you call wp_register_script().
    You should add
    wp_deregister_script('google-recaptcha');
    before
    wp_register_script( 'google-recaptcha', $url, array(), '2.0', true );
    in new version to make plugin working with CFv5.1

    • This reply was modified 3 months, 4 weeks ago by AndriiP.
    Plugin Support Howdy_McGee

    (@howdy_mcgee)

    @andruhapx I’m not sure that would be necessary.

    wp_register_script() calls WP_Scripts

    WP_Scripts calls WP_Dependencies::add()

    The add() method checks to see if a script with the same handle is set, if it is then it returns false. In any case we wouldn’t want to unexpectedly break another plugins implementation of reCaptcha if it exists.

    If you have more information, clarification, or examples to support your suggestion it might be more beneficial to create a separate topic so that we can address it in more detail.

    @howdy_mcgee did you check if plugin works with CFv5.1?
    Because I have the same issue as described by @cdetar.
    CFv5.0 works fine

    Plugin Support Howdy_McGee

    (@howdy_mcgee)

    @andruhapx It’s always easier to create a separate topic even if it’s a duplicate. Every site is setup differently and may have different conflicts.

    From what I’ve tested using the default 2020 theme and sparse plugins it works as expected in 5.0, 5.1, 5.1.3, and 5.1.9 which is the latest. There absolutely could be something that’s been overlooked but so far, I’m not seeing any issues.

    If you’re looking for additional help please create a new topic, describe the issue, provide a link to the website if possible, and the developers can reach out with further clarification.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.